import java.awt.*;
import javax.swing.*;
import java.awt.event.*;
import java.applet.*;

public class Scroll extends Scrollbar
{
    private TextField aktuellerWert = new TextField("");

    private int index,x_off,y_off;
    private String name;
    private double w_min,w_max;
    private double[] parameter;
    private Simulator simulator;
    private Schieberapplet app;
    public Scroll(int index, int x_off, int y_off, String name,
                     double w_min, double w_max,
                     double[] parameter, //Referenz auf das zu manipulierende Array (call by reference)
                     Simulator simulator,
                     Schieberapplet app
                     )
    {
           super(Scrollbar.HORIZONTAL,0,30,0,1030);
           this.index = index;
           this.x_off=x_off;
           this.y_off=y_off;
           this.name = name;
           this.w_min = w_min;
           this.w_max = w_max;
           this.parameter = parameter;
           this.simulator = simulator;
           this.app = app;
           setBounds(x_off+60,y_off+32*index,500,30);
           setBackground(new Color(255-(index*5)%255,0,(index*5)%255));
           
           addAdjustmentListener(new ScrollLauscher(index,w_min,w_max));
           
           TextField label = new TextField(name);
           label.setVisible(true);
           label.setBounds(x_off+0,y_off+32*index,60,30);
           label.setEditable(false);
           app.add(label);           

           aktuellerWert.setBounds(x_off+562,y_off+32*index,60,30);
           aktuellerWert.setEditable(false);
           aktuellerWert.setText(0.0+"");//aus double wurde ein String
           app.add(aktuellerWert);           
    }
    
    
    public class ScrollLauscher implements AdjustmentListener
    {
          private int ind;
          private double min,max;
          public ScrollLauscher(int ind,double min, double max)
          {
                this.ind = ind;
                this.min = min;
                this.max = max;
          }

         public void adjustmentValueChanged(AdjustmentEvent event)
         {
             int wert = event.getValue();
             //Wir gehen davon aus, dass alle Schieberegler einen Integerbereich von 0..1000
             //haben.
             double swert = min + ((double)wert*(max-min))*0.001;
             parameter[ind] = swert;
             
             aktuellerWert.setText(swert+"");
             
             System.out.println("Parameter Nr."+ind+"="+parameter[ind]);
             simulator.simulieren(parameter);
             app.repaint();
        }
          
    }
}
