public class Simulator
{
    // instance variables - replace the example below with your own
    public double[][] y = new double[2][400];
    public double[] tt   = new double[400];

    public Simulator()
    {
    }

    public void simulieren(double[] parameter)
    {
        System.out.println("Jetzt wird simuliert.");
        
        //Komplette Simulation mit den aktuellen Parametern:
        //(einfache Variante)
    double t = 0.0;   //Zeit in Sekunden
    double dt = 0.01; //Zeitschrittweite für die numerische Integration
    double m = 1.0; //Modell-Parameter Masse, [m]=kg
    double C = parameter[0]; //Modell-Parameter Federkonstante, [C]=N/m
    double D = parameter[1]; //Modell-Parameter Federkonstante, [C]=N/m

    double x_alt,x_neu; //"alte" und "neue" Auslenkung des linearen mechanischen Schwingers
    double v_alt,v_neu; //"alte" und "neue" Geschwindigkeit

    double t_ende = 5.0; //Endzeit der Simulation

    double v0 = 0.0;     //Anfangsgeschwindigkeit in Metern pro Sekunde
    double x0 = 1.0;     //Anfangsauslenkung in Metern

    x_alt = x0;
    v_alt = v0;

    //Euler-Integration heißt:
    //Neuer Wert = Alter Wert + Steigung_de_Wertes mal Delta t

    for(int i=0;i<tt.length;i++)
    {
        tt[i] = t;
        y[0][i] = x_alt;
        y[1][i] = v_alt;
        
        System.out.println(tt[i]+" "+y[0][i]);
        
        x_neu = x_alt + v_alt*dt;
        v_neu = v_alt - (C/m)*x_alt*dt - (D/m)*v_alt*dt;

        x_alt = x_neu;
        v_alt = v_neu;

        
        
        t+=dt;
    }
        
    }
}
